> For the complete documentation index, see [llms.txt](https://developers.yumpu.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.yumpu.com/api/getting-started/installsdk.md).

# Install SDK's

## How to add the packages to your project

### Official Packages:

* [PHP SDK](https://github.com/Yumpu/Yumpu-SDK)
* [Node.js SDK](https://github.com/Yumpu/YumpuNodeJSSDK)
* [Java SDK](https://github.com/Yumpu/YumpuJavaSDK)&#x20;

{% tabs %}
{% tab title="PHP" %}

#### PHP SDK

Download:

```bash
git clone https://github.com/Yumpu/Yumpu-SDK.git
```

How to use:

```php
// include yumpu sdk
require_once('../yumpu.php');

// make an instance of the Yumpu sdk class;
$yumpu = new Yumpu();
```

{% endtab %}

{% tab title="JavaScript" %}

#### Node.js SDK

Download:

```bash
npm install yumpu
```

How to use:

```javascript
// include yumpu sdk
var yumpu = require('yumpu');

// set your token
yumpu.setToken('yourToken');
```

{% endtab %}

{% tab title="Java" %}

#### Java SDK

Download:

```bash
git clone https://github.com/Yumpu/YumpuJavaSDK.git
```

How to use:

```java
// include yumpu sdk
import at.fes.service.Yumpu;

// make an instance of the Yumpu sdk class and set your token
Yumpu y = new Yumpu("your access token");
```

{% endtab %}
{% endtabs %}

### Community Packages:

* [Node.js SDK](https://github.com/w-vision/load-yumpu-api) from [w-vision](https://github.com/w-vision)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.yumpu.com/api/getting-started/installsdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
